Bug 987334 - [abrt] bluefish-2.2.4-1.fc19: append_escaped_text: Process /usr/bin/bluefish was killed by signal 11 (SIGSEGV)
[abrt] bluefish-2.2.4-1.fc19: append_escaped_text: Process /usr/bin/bluefish ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bluefish (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Paul Howarth
Fedora Extras Quality Assurance
abrt_hash:2d70ff34a7be41a4204cc9ea21e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-23 05:35 EDT by John Williams
Modified: 2014-08-27 16:51 EDT (History)
3 users (show)

See Also:
Fixed In Version: bluefish-2.2.5-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-13 01:03:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (43.98 KB, text/plain)
2013-07-23 05:35 EDT, John Williams
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-23 05:35 EDT, John Williams
no flags Details
File: core_backtrace (5.93 KB, text/plain)
2013-07-23 05:35 EDT, John Williams
no flags Details
File: dso_list (10.78 KB, text/plain)
2013-07-23 05:35 EDT, John Williams
no flags Details
File: environ (1.55 KB, text/plain)
2013-07-23 05:35 EDT, John Williams
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-23 05:35 EDT, John Williams
no flags Details
File: maps (62.66 KB, text/plain)
2013-07-23 05:35 EDT, John Williams
no flags Details
File: open_fds (1.10 KB, text/plain)
2013-07-23 05:35 EDT, John Williams
no flags Details
File: proc_pid_status (929 bytes, text/plain)
2013-07-23 05:35 EDT, John Williams
no flags Details
File: var_log_messages (332 bytes, text/plain)
2013-07-23 05:35 EDT, John Williams
no flags Details

  None (edit)
Description John Williams 2013-07-23 05:35:19 EDT
Version-Release number of selected component:
bluefish-2.2.4-1.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        bluefish
crash_function: append_escaped_text
executable:     /usr/bin/bluefish
kernel:         3.9.9-302.fc19.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 append_escaped_text at gmarkup.c:2148
 #1 g_markup_escape_text at gmarkup.c:2224
 #2 acwin_calculate_window_size at bftextview2_autocomp.c:381
 #3 autocomp_run at bftextview2_autocomp.c:623
 #4 bftextview2_insert_text_after_lcb at bftextview2.c:708
 #9 gtk_text_buffer_emit_insert at gtktextbuffer.c:926
 #10 gtk_text_buffer_insert_interactive at gtktextbuffer.c:1018
 #11 gtk_text_buffer_insert_interactive_at_cursor at gtktextbuffer.c:1056
 #12 gtk_text_view_commit_text at gtktextview.c:8175
 #13 g_cclosure_marshal_VOID__STRINGv at gmarshal.c:1004
Comment 1 John Williams 2013-07-23 05:35:23 EDT
Created attachment 777253 [details]
File: backtrace
Comment 2 John Williams 2013-07-23 05:35:27 EDT
Created attachment 777254 [details]
File: cgroup
Comment 3 John Williams 2013-07-23 05:35:29 EDT
Created attachment 777255 [details]
File: core_backtrace
Comment 4 John Williams 2013-07-23 05:35:32 EDT
Created attachment 777256 [details]
File: dso_list
Comment 5 John Williams 2013-07-23 05:35:36 EDT
Created attachment 777257 [details]
File: environ
Comment 6 John Williams 2013-07-23 05:35:39 EDT
Created attachment 777258 [details]
File: limits
Comment 7 John Williams 2013-07-23 05:35:42 EDT
Created attachment 777259 [details]
File: maps
Comment 8 John Williams 2013-07-23 05:35:44 EDT
Created attachment 777260 [details]
File: open_fds
Comment 9 John Williams 2013-07-23 05:35:47 EDT
Created attachment 777261 [details]
File: proc_pid_status
Comment 10 John Williams 2013-07-23 05:35:50 EDT
Created attachment 777262 [details]
File: var_log_messages
Comment 11 Fedora Update System 2014-03-04 11:41:39 EST
bluefish-2.2.5-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/bluefish-2.2.5-2.fc19
Comment 12 Paul Howarth 2014-03-04 11:42:30 EST
The update to bluefish-2.2.5 includes a large number of bug fixes, and might well address the issue that caused your crash. If you still have problems with the new version, please feel free to update this ticket or raise a new one.
Comment 13 Fedora Update System 2014-03-05 00:08:04 EST
Package bluefish-2.2.5-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing bluefish-2.2.5-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-3417/bluefish-2.2.5-2.fc19
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2014-03-13 01:03:23 EDT
bluefish-2.2.5-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.